Upstream information

CVE-2007-2452 at MITRE

Description

Heap-based buffer overflow in the visit_old_format function in locate/locate.c in locate in GNU findutils before 4.2.31 might allow context-dependent attackers to execute arbitrary code via a long pathname in a locate database that has the old format, a different vulnerability than CVE-2001-1036.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6
Vector AV:N/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 278694 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • findutils >= 4.4.0-38.24.11
  • findutils-locate >= 4.4.0-38.24.11
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA findutils
SUSE Linux Enterprise Server 11 SP2
  • findutils >= 4.4.0-38.26.1
  • findutils-locate >= 4.4.0-38.26.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA findutils
SUSE Linux Enterprise Server 11 SP3
  • findutils >= 4.4.0-38.26.1
  • findutils-locate >= 4.4.0-38.26.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA findutils
SUSE Linux Enterprise Server 11 SP4
  • findutils >= 4.4.0-38.26.1
  • findutils-locate >= 4.4.0-38.26.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA findutils